const mongoose = require("mongoose");

const gameServerSchema = new mongoose.Schema({
  name: String,
  url: String,
  lastHeartbeat: { type: Date, default: Date.now },
  status: { type: String, default: "online" },
  description: { type: String, default: "Description..." },
  isModded: { type: Boolean, default: false },
  region: { type: String, default: "Null" },
  playersOnline: {
    type: Number,
    default: 0,
  },
});
module.exports = mongoose.model("GameServer", gameServerSchema);
